AutoCAD Inventor :: Existing Sketch To Symbol?
Dec 17, 2013Is there a way to turn an existing sketch into a symbol, in an idw, so that it can be reused?
View 3 RepliesIs there a way to turn an existing sketch into a symbol, in an idw, so that it can be reused?
View 3 RepliesACA2011My dimensions seem to be fickle with regard to snaping. I've got my OSNAPs on, and I can't snap to a structural beam above, nor can I snap to a window sill. I can dim to the mid point of the window sill by using .x & .y filters, and can only snap to the axis line on a beam. Is there a toggle somewhere?
View 4 Replies View RelatedI dont know any way of making a flexible sketch symbol. say the way hatch can be flexed in autocad.
is that something which can be done in inventor.
Config :: Intel (R) Xeon (R) CPU E31245 @ 3.30 GHz, 16.0 GB, 64bit win7
Inventor 2013 and Vault Basic 2013
I need to create skech symbols to illustrate mounting schemes, so without scale. I need to put dimensions in the symbol, which are only annotation, not parametric. This dimension must be visible once the symbol inserted on the sheet.
When I create the dimension in the sketch, it is always a paramertric dimension, which drve the drawing and is not visible in the inserted symbol.. How can I do to have only an annotation ? (I precise the option "sketch only" does not function on dimensions)
Just trying to add an existing symbol to a drawing sheet. I know i'm not formating the point correctly and i get a position error. How can i get the point location of two intersecting lines in my border to hard code the location?
Error:
Error on Line 18 : Argument not specified for parameter 'Position' of 'Public Function Add(SketchedSymbolDefinition As Object, Position As Inventor.Point2d, [Rotation As Double = 0.0], [Scale As Double = 1.0], [PromptStrings As Object]) As Inventor.SketchedSymbol'.
Error on Line 18 : End of statement expected.
DimoApp As Inventor.Application=ThisApplication
DimthisIDW As DrawingDocument=oApp.ActiveDocument
oSheet=thisIDW.ActiveSheet
DimoSymDef As SketchedSymbolDefinition
oSymDef=thisIDW.SketchedSymbolDefinitions.Item("APPROVAL STAMP")myPoint=ThisApplication.TransientGeometry.CreatePoint2d(1, 6)
oSheet.SketchedSymbols.Add(oSymDef) ,myPoint
I am trying to create a sketch symbol with info about the first view on a sheet. It seems to work fine with any of the properties built in, but I am trying to include the scale. There are lots of posts about putting scale in a title block, but I can't seem to get the same code to work for a sketch symbol.
View 5 Replies View RelatedHow do i target a specific sketch symbol within a view and control it with iLogic?
View 9 Replies View RelatedIs there a way to make a sketched symbol "stick" to a view? I'm sure there is, but I can't remember how. We're using IV R2011 @ SP2.
View 4 Replies View RelatedIs it possible to modify a sketch symbol that has existing prompted text while keeping the existing prompted text? For example, I have a sketch symbol that is placed on every detail on the drawing. We could have 8 details on a drawing.
This sketch symbol uses prompted text to fill in the relevant information for each detail. Is there a way to change the sketch symbol globally and then copy the sketch symbol in to each drawing without losing the prompted text? Currently I have to modify the sketch symbol within each drawing. To keep the prompted text.
I want Inventor to add sketch symbols automaticly on cordinates according to a Custom Text Paramater
for example I have created Custom Multi Value Text User parameter Approved & Not Approved or Plate Work Notes & SteelWork Notes wich each represent diffrent sketch symbols that needs to be placed out base on the value selected. Each sheet consist of diffrent sketch symbols
I am trying to get Sketched Symbols with leaders to align.
I have a sketched symbol defined that has connection points defined at the outer quadrants. If the symbol doesn't have a leader they snap together at the connection points without any problems.
If the symbols have a leader they either won't snap, or jump to a random location depending on what grip you select to move.
The following video image shows the problems with the symbols with leaders.
insert a sketch symbol to a specific coordinate on a dwg border (top middle of dwg)
Workflow needed is as follows
Copy Sketched symbol folder from Standard.dwg from (C:UsersPublicDocumentsAutodeskInventor 2012Templates.Paste into open dwg document and yes to all to overide symbolsPlace a named sketched symbol from drawing resources folder ie (PRELIMINARY) to top center of all sheets within documentreturn to first sheet when complete My new dwg has symbols in correct place so any new dwgs this is ok but we need to add it to hundreds of dwgs when opened or revised,so i want to tie this to external rule and trigger on save event.
How would i insert the "variable name" of a custom iProp to a sketched symbol definition (in an idw)?
I can plonk the value of the iProp in no worries, but to make it "live" is a bit beyond me...
Sub WeldNote()On Error Resume NextDim oDoc As DrawingDocumentDim SketchedSym As SketchedSymbolDefinitionDim oNoteDef As SketchedSymbolDefinitionDim oDefSketch As SketchDim oTextbox As TextBoxDim SNewText As StringDim sNoteText As StringDim oReffedDoc As DocumentDim lReffedWeldType As Long'Err.ClearIf
[Code].....
My iLogic ability is quite limited outside of what I use regularly?
I am trying to change the font style in every text definition in all my sketch symbols in one go. Actually I have started it based on only a selection set but I would be happy with just all symbols too. Below is where I got to, I am stuck on the For Each line to cover each text box in the symbol. Some of the other syntax may not be right either but I can't test it all the way through.
Dim oDoc As DrawingDocument: oDoc = ThisApplication.ActiveDocumentDim oSheet As Sheet: oSheet = oDoc.ActiveSheetDim i As LongDim oSymDef As SketchedSymbolDefinition: oSymDef = oDoc.SketchedSymbolDefinitions.Item(i)Dim oText As TextBoxesFor i = 1 To oDoc.SelectSet.CountFor Each oText In ............oSymDef.TextBoxes.Item(i).FormattedText ="<StyleOverride Font='ARIAL'>...< /StyleOverride>"NextNextInventorVb.DocumentUpdate()
Also the XML style override is not complete if this is the only way to achieve this result.
Inventor Professional 2013, Autodesk Simulation Multiphysics 2013
Windows 7 x64 Core i7 32GB Ram FX2000
I have a part.I use some Parameters of this part as linked to other parts.Once I change any parameter used as linked the other parts will follow it automatically.So I have drive and driven parts.
Now for some reason I need to change some geometry in my drive part in the way my drive dimension must be reattached to other geometry points.
I cannot delete and create the new dimension even with the same name since all my driven parts will lose this linked parameter in either way and this parameter becomes static (Reference Parameter).
I wish I can preserve the existing dimension (parameter) and reattach it to other geometry.
What I would like to do is create a custom dialogue for each of 3 or 4 standard sketch symbols we use on a regular basis. I'd like to load 'suggsted' values out of an excel spreadsheet and allow the user to pick from them or enter in a custom text string if required. The values would then become part of the sketch symbol.
I've spent some time looking into iLogic rules and I think I've determined that they're not flexible enough to do what I want.
If I'm correct, it is possible (or a good idea) to do this using a VBA macro? I'm a little hesitant to go down the full blown add-in route. While I'm pretty confident I could work it out.
is there a way to use vb to add closed sketch loops to an existing feature?
I am trying to create a parametric template for a fan guard assembly, complete with drawings.
I am using an arrangement of circles defined using some linear sketch patterns as the cross-section of a revolved feature. Using ilogic/vb, I want to automate the number and spacing of items in the linear pattern, and then update the loops selected for the revolved feature.
I have found code on this forum (courtesy of Curtis Waguespack) that I can use to select all closed loops and create a feature. I can apply this code to create a NEW revolved feature, but I haven't been able to figure out how to use it to UPDATE an existing feature.
I need the feature to UPDATE rather than create new to maintain links in my assemblies and drawings.
I have made a part - a motor that has four holes.
Now I'm trying to make another part, which will be aluminium plate that needs to have holes in exactly same points as the motor. My assembly containts both that parts.
What I'm trying to do is to reference in sketch a point that comes from different part (motor).
I could do it by hand, make it look that the holes are on top of each other but then there will be an error which doesn't seem professional.
In some tutorial on yt I have only found that using points one can reference the holes more easily, but it didn't show how.
Why the heck does Inventor arbitrarily orient sketches as it sees fit? I often create my first sketch on the right (YZ) plane and Inventor, stupidly turns the sketch where "RIGHT" in the viewcube reads from top to bottom.
I know all the things to do to AFTER this happens, but it shouldn't happen in the first place. If I turn my sketch so that up is up, like it should be, I then have to remember that vertical is horizontal, which is now vertical. I can't change the sketch coordinate system. It's the first sketch and there is nothing to align it to.
How to prevent the above example from occurring in the first place.
This, and the fact that I can't dimension to any existing vertices or edges without projecting them first, really make me hate using Inventor sometimes. To me, these are huge problems, neither of which Solidworks has. At worst, both of these behaviors should be configurable.
Do you know how to constrain 2d cad sketch to match existing 3D model. see screenshot. Is it doable?
View 6 Replies View Relatedmaking a component in sw iso. and or inserting a 3d component into the correct view plane. when i insert it it always inserts top view orientation.-ugh is there an insert set up? i tried to rotate into the z axis-not happening. probably 3d 101!
View 9 Replies View RelatedThe attached picture is me trying to balloon a part. I would like to just add some notes to the balloon so that I can update them manually but all I can find is to have a symbol. So I created a symbol, the insertion point for the symbol is shown. For some reason I get an extra number and the symbol offcenter. Why is this happening? What I'm really looking for is a balloon that is fully customizable so that I can just add text to the top and bottom and fill out the details.
View 5 Replies View RelatedI've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
want to change sketch 2013 into the sketch of 2010
View 1 Replies View RelatedWhen I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies View Relatedwhat is the difference between a sketch and a planar sketch?
View 2 Replies View RelatedI'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
View 2 Replies View Related